.title-bar {
  background:silver;
}
 
.player {
  color:black;
  margin-left:auto;
  margin-right:auto;
  width:fit-content;
  border: black solid 1px;
  border-width: 1px 0px 0px 1px;
}
 
.controlimg:hover {
  cursor:help;
}

input[type="range"] {
  width:100%;
  appearance:none;
  background:transparent;
  -webkit-appearance:none;
}
 
input[type="range"]:focus {
  outline:none;
}
 
input[type="range"]::-webkit-slider-thumb {
  width:11px;
  height:21px;
  border:none;
  box-shadow:none;
  -webkit-appearance:none;
  transform:translateY(-8px);
  background:svg-load("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg");
}
 
input[type="range"].has-box-indicator::-webkit-slider-thumb {
  transform:translateY(-10px);
  background:svg-load("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-rectangle-horizontal.svg");
}
 
input[type="range"]::-moz-range-thumb {
  border:0;
  width:11px;
  height:21px;
  border-radius:0;
  transform:translateY(2px);
  background:svg-load("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg");
}
 
input[type="range"]::-moz-range-thumb {
  border:0;
  width:11px;
  height:21px;
  border-radius:0;
  transform:translateY(2px);
  background:url("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-horizontal.svg");
}
 
input[type="range"].has-box-indicator::-moz-range-thumb {
  transform:translateY(0px);
  background:svg-load("https://raw.githubusercontent.com/jdan/98.css/main/icon/indicator-rectangle-horizontal.svg");
}
 
input[type="range"]::-webkit-slider-runnable-track {
  width:100%;
  height:2px;
  box-shadow:
    1px 0 0 white,
    1px 1px 0 white,
    0 1px 0 white, -1px 0 0 darkgrey,
    -1px -1px 0 darkgrey,
    0 -1px 0 darkgrey,
    -1px 1px 0 white,
    1px -1px darkgrey;
  background:black;
  box-sizing:border-box;
  border-right:1px solid grey;
  border-bottom:1px solid grey;
}
 
input[type="range"]::-moz-range-track {
  width:100%;
  height:2px;
  box-shadow:
    1px 0 0 white,
    1px 1px 0 white,
    0 1px 0 white,
    -1px 0 0 darkgrey,
    -1px -1px 0 darkgrey,
    0 -1px 0 darkgrey,
    -1px 1px 0 white,
    1px -1px darkgrey;
  background:black;
  box-sizing:border-box;
  border-right:1px solid grey;
  border-bottom:1px solid grey;
}
 
button, input, label, option, select, table, textarea, ul.tree-view {
  font-size:11px;
  -webkit-font-smoothing:none;
  font-family:"Pixelated MS Sans Serif", Arial;
}

h1 {
  font-size:5rem;
}

h2 {
  font-size:2.5rem;
}

h3 {
  font-size:2rem;
}

h4 {
  font-size:1.5rem;
}

u {
  text-decoration:none;
  border-bottom:.5px solid #222;
}

button, input[type=reset], input[type=submit] {
  border:none;
  min-width:75px;
  padding:0 12px;
  border-radius:0;
  min-height:23px;
  color:transparent;
  text-shadow:0 0 #222;
  box-sizing:border-box;
}

.vertical-bar, button, input[type=reset], input[type=submit] {
  box-shadow:
    inset -1px -1px #0a0a0a,
    inset 1px 1px #fff,
    inset -2px -2px grey,
    inset 2px 2px #dfdfdf;
  background:silver;
}

.vertical-bar {
  width:4px;
  height:20px;
}

button:not(:disabled):active, input[type=reset]:not(:disabled):active, input[type=submit]:not(:disabled):active {
  box-shadow:
    inset -1px -1px #fff,
    inset 1px 1px #0a0a0a,
    inset -2px -2px #dfdfdf,
    inset 2px 2px grey;
  text-shadow:1px 1px #222;
}

@media (not(hover)) {
  button:not(:disabled):hover, input[type=reset]:not(:disabled):hover, input[type=submit]:not(:disabled):hover {
    box-shadow:inset -1px -1px #fff,
      inset 1px 1px #0a0a0a,
      inset -2px -2px #dfdfdf,
      inset 2px 2px grey;
  }
}

button:focus, input[type=reset]:focus, input[type=submit]:focus {
  outline-offset:-4px;
  outline:1px dotted #000;
}

button::-moz-focus-inner, input[type=reset]::-moz-focus-inner, input[type=submit]::-moz-focus-inner {
  border:0;
}

:disabled, :disabled+label, input[readonly], input[readonly]+label {
  color:grey;
}

:disabled+label, button:disabled, input[type=reset]:disabled, input[type=submit]:disabled {
  text-shadow:1px 1px 0 #fff;
}
 
.title-bar-controls button {
  border:none;
  min-width:75px;
  padding:0 12px;
  border-radius:0;
  min-height:23px;
  color:transparent;
  text-shadow:0 0 #222;
  box-sizing:border-box;
}
 
.title-bar-controls button {
  box-shadow:
    inset -1px -1px #0a0a0a,
    inset 1px 1px #fff,
    inset -2px -2px grey,
    inset 2px 2px #dfdfdf;
  background:silver;
}
 
.title-bar-controls button:not(:disabled):active {
  box-shadow:
    inset -1px -1px #fff,
    inset 1px 1px #0a0a0a,
    inset -2px -2px #dfdfdf,
    inset 2px 2px grey;
  text-shadow:1px 1px #222;
}
 
@media (not(hover)) {
	button:not(:disabled):hover {
    box-shadow:
      inset -1px -1px #fff,
      inset 1px 1px #0a0a0a,
      inset -2px -2px #dfdfdf,
      inset 2px 2px grey;
	}
}
 
.title-bar-controls button:focus {
  outline-offset:-4px;
  outline:1px dotted #000;
}

.title-bar-controls button::-moz-focus-inner {
  border:0;
}
 
 
@font-face {
  font-style:normal;
  font-weight:normal;
  font-family:"Pixelated MS Sans Serif";
  src:url("https://files.catbox.moe/1za99g.woff") format("woff");
  src:url("https://files.catbox.moe/8fwbkl.woff2") format("woff2");
}
 
@font-face {
  font-weight:bold;
  font-style:normal;
  font-family:"Pixelated MS Sans Serif";
  src:url("https://files.catbox.moe/z7csle.woff") format("woff");
  src:url("https://files.catbox.moe/moqhx6.woff2") format("woff2");
}
 
.window, .title-bar {
  font-size:11px;
  -webkit-font-smoothing:none;
  font-family:"Pixelated MS Sans Serif", Arial;
}
 
.window {
  box-shadow:
    inset -1px -1px #0a0a0a,
    inset 1px 1px #dfdfdf,
    inset -2px -2px #808080,
    inset 2px 2px #ffffff;
  width:260px;
  padding:3px;
  background:#c0c0c0;
}
 
.title-bar {
  display:flex;
  align-items:center;
  padding:3px 2px 3px 3px;
  justify-content:space-between;
}
 
.title-bar-text {
  color:white;
  font-weight:bold;
  letter-spacing:0;
  margin-right:24px;
}
 
.title-bar-controls {
  display:flex;
}
 
.title-bar-controls button {
  padding:0;
  display:block;
  min-width:16px;
  min-height:14px;
}
 
.title-bar-controls button:active {
  padding:0;
}
 
.title-bar-controls button:focus {
  outline:none;
}
 
.title-bar-controls button[aria-label=Minimize] {
  background-repeat:no-repeat;
  background-position:bottom 3px left 4px;
  background-image:url("https://raw.githubusercontent.com/jdan/98.css/main/icon/minimize.svg");
}
 
.title-bar-controls button[aria-label=Maximize] {
  background-repeat:no-repeat;
  background-position:top 2px left 3px;
  background-image:url("https://raw.githubusercontent.com/jdan/98.css/4a2282dd9170cabf730fb5803d1153d86b2e94e3/icon/maximize.svg");
}
 
.title-bar-controls button[aria-label=Close] {
  margin-left:2px;
  background-repeat:no-repeat;
  background-position:top 3px left 4px;
  background-image:url("https://raw.githubusercontent.com/jdan/98.css/main/icon/close.svg");
}
 
.window-body {
  margin:0px;
  height:98px;
}
 
input[type=range] {
  width:100%;
  appearance:none;
  -webkit-appearance:none;
}
 
input[type=range]:focus {
  outline:none;
}
 
/*settings for chrome browsers*/
input[type=range]::-webkit-slider-runnable-track {
  width:100%;
  height:2px;/*thickness of seeking track*/
  cursor:help;
}

/*settings for firefox browsers*/
input[type=range]::-moz-range-track {
  width:100%;
  height:2px;/*thickness of seeking track*/
  cursor:help;
}
 
.flex {
  display:flex;
}
 
.titlebaricon {
  height:14px;
  width:14px;
}
 
.songtitlewindow {
  box-shadow:
    inset -1px -1px #fff,
    inset 1px 1px grey,
    inset -2px -2px #dfdfdf,
    inset 2px 2px #0a0a0a;
  background-color:#fff;
}
 
#musicplayer {
  width:160px;/*width of the player*/
  border:2px solid silver;/*border around player*/
  border-width:2px 0px 0px 0px;
}
 
#imagestyle {
  box-shadow:
    inset -1px -1px #fff,
    inset 1px 1px grey,
    inset -2px -2px #dfdfdf,
    inset 2px 2px #0a0a0a;
  width:95px;/*width of the player*/
  height:95px;
  background:silver;/*background color of player*/
  border:2px solid silver;/*border around player*/
}
 
.ic {
  right:1px;
  bottom:1px;
  width:93px;
  height:93px;
  padding:2px;
  overflow:hidden;
  position:relative;
  border:2px solid transparent;
}
 
.songtitlearrow {
  top:2px;
  left:-2px;
  width:21px;
  height:21px;
  position:relative;
  background-size:100%;
  background-repeat:no-repeat;
  border:0px solid transparent;
  border-width:0px 0px 0px 0px;
  background-image:url(https://files.catbox.moe/f5e8np.png);
}
 
.songtitle {
  padding:5px;/*padding around song title*/
  display:block;
  border-bottom:0px;/*border under song title*/
  font-family:Pixelated MS Sans Serif;
}
 
.controls {
  width:100%;
  bottom:10px;
  text-align:center;
  position:relative;
  font-size:18px !important;/*size of controls*/
}
 
.controls td {
  padding:8px 5px 0px 5px;/*padding around controls*/
}
 
button {
  min-width:40px;
}
 
.seeking {
  display:flex;
  padding:14px;/*padding around seeking bar*/
  background-color:#c0c0c0;/*background color of seeking bar*/
  justify-content:space-evenly;
}
 
.current-time {
  padding-right:5px;
}
 
.total-duration {
  padding-left:5px;
}
 
.controlimg {
  width:15px;
  height:15px;
}